import { useEffect, useState } from 'react';
import getImgUrl from '../utils/getImgUrl';

export default function useChangeSrcOnObserve({
  observed, src, sizes, classes,
}) {
  const largestSize = sizes[sizes.length - 1];
  const placeholderSrc = getImgUrl({ src, width: 10, quality: 40 });
  const fullSizeSrc = getImgUrl({ src, width: largestSize });
  const [currentImgSrc, setCurrentImgSrc] = useState(placeholderSrc);
  const [imgClass, setImgClass] = useState(classes.blur);

  useEffect(() => {
    if (observed) {
      setCurrentImgSrc(fullSizeSrc);
      setImgClass(classes.img);
    }
  }, [observed, placeholderSrc, fullSizeSrc]);

  return [currentImgSrc, imgClass];
}
