import {
  TooltipDisplay,
  TooltipTrigger,
  useTooltip,
} from '../index';
import Target from './_common/Target';

const Component = function Component(props) {
  const {
    useTooltipOptions,
    triggerProps = [{}, {}, {}],
  } = props;

  const tooltip = useTooltip(useTooltipOptions);

  return (
    <div>
      {triggerProps.map((trigger, i) => (
        // eslint-disable-next-line react/no-array-index-key
        <TooltipTrigger key={i} {...trigger} tooltip={tooltip}>
          <Target>{`Tooltip trigger content ${i + 1}`}</Target>
        </TooltipTrigger>
      ))}
      <TooltipDisplay tooltip={tooltip} />
    </div>
  );
};

const Template = (args) => <Component {...args} />;

export default Template;
